/* -*- Mode: C++; tab-width: 2; indent-tabs-mode: nil; c-basic-offset: 2 -*- */
/* vim: set et sw=2 ts=2: */
/***************************************************************************
 *            aboutwindow.cc
 *
 *  Thu Aug 26 10:40:53 CEST 2010
 *  Copyright 2010 Bent Bisballe Nyeng
 *  deva@aasimon.org
 ****************************************************************************/

/*
 *  This file is part of PC-Show.
 *
 *  PC-Show is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  PC-Show is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with PC-Show; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA.
 */
#include "aboutwindow.h"

#include <QPainter>
#include <QFont>

AboutWindow::AboutWindow()
{
  bg.load(":about.png");
  setFixedSize(bg.size());
}

void AboutWindow::paintEvent(QPaintEvent *)
{
  QPainter p(this);

  p.drawImage(0,0, bg);
  QFont font = p.font();
  font.setBold(true);
  font.setPixelSize(16);
  p.setFont(font);
  p.drawText(325,31, VERSION);
}

void AboutWindow::mouseReleaseEvent(QMouseEvent *)
{
  accept();
}
