# -*- Makefile -*-

TEMPLATE = app
TARGET = 
DEPENDPATH += .
INCLUDEPATH += .
TRANSLATIONS = pc-show_dk.ts
VERSION=2.1
DEFINES+=VERSION=\\\"$$VERSION\\\"
RESOURCES += pc-show.qrc
RC_FILE = pc-show.rc 
QMAKE_CXXFLAGS += -g -Wall -Werror

# Input
SOURCES += \
	pc-show.cc \
	mainwindow.cc \
	filewidget.cc \
	filewidgetitem.cc \
	viewerwidget.cc \
	vieweritem.cc \
	image.cc \
	imageloader.cc \
	imagewidget.cc \
	externalapp.cc \
	fullscreenwidget.cc \
	grabber.cc \
	grabberimage.cc \
	optionswindow.cc \
	print.cc \
	renamebox.cc \
	fileoperations.cc \
	aboutwindow.cc

HEADERS += \
	mainwindow.h \
	filewidget.h \
	filewidgetitem.h \
	viewerwidget.h \
	vieweritem.h \
	image.h \
	imageloader.h \
	imagewidget.h \
	fullscreenwidget.h \
	grabber.h \
	grabberimage.h \
	externalapp.h \
	optionswindow.h \
	print.h \
	renamebox.h \
	fileoperations.h \
	aboutwindow.h
